API reference

Apple Pay

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

POST /v1/apple_pay/domains

POST/v1/apple_pay/domains

Create an apple pay domain.

Body parameters

  • domain_namestringRequired
  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The apple_pay_domain object.

POST /v1/apple_pay/domains
curl https://api.knoxapi.com/v1/apple_pay/domains \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  -d domain_name=example.com
Response
{
  "created": 1234567890,
  "domain_name": "example.com",
  "id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
  "livemode": true,
  "object": "apple_pay_domain"
}

GET /v1/apple_pay/domains

GET/v1/apple_pay/domains

List apple pay domains.

Query parameters

  • domain_namestring
  • ending_beforestring

    A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • limitinteger

    A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

  • starting_afterstring

    A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Returns

A list of apple_pay_domain objects.

GET /v1/apple_pay/domains
curl -G https://api.knoxapi.com/v1/apple_pay/domains \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  --data-urlencode limit=3
Response
{
  "object": "list",
  "url": "/v1/apple_pay/domains",
  "has_more": false,
  "data": [
    {
      "created": 1234567890,
      "domain_name": "example.com",
      "id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
      "livemode": true,
      "object": "apple_pay_domain"
    }
  ]
}

GET /v1/apple_pay/domains/{domain}

GET/v1/apple_pay/domains/{domain}

Retrieve an apple pay domain.

Path parameters

  • domainstringRequired

Query parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The apple_pay_domain object.

GET /v1/apple_pay/domains/{domain}
curl https://api.knoxapi.com/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "created": 1234567890,
  "domain_name": "example.com",
  "id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
  "livemode": true,
  "object": "apple_pay_domain"
}

DELETE /v1/apple_pay/domains/{domain}

DELETE/v1/apple_pay/domains/{domain}

Delete an apple pay domain.

Path parameters

  • domainstringRequired

Returns

The deleted_apple_pay_domain object.

DELETE /v1/apple_pay/domains/{domain}
curl -X DELETE https://api.knoxapi.com/v1/apple_pay/domains/apwc_1Pgc6oB7WZ01zgkWHz71O4bz \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "deleted": true,
  "id": "apwc_1Pgc6oB7WZ01zgkWHz71O4bz",
  "object": "apple_pay_domain"
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.